Auteur Sujet: Problème installation Asus A6  (Lu 33667 fois)

0 Membres et 3 Invités sur ce sujet

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Re : Re : Problème installation Asus A6
« Réponse #30 le: 04 septembre 2015 à 10:41:15 »
pour sudo modprobe nvidia :

il m'indique ERROR il ne trouve pas le module 'nvidia_legacy_304xx'
fonction pas implémenté ?
driver (nvidia-legacy-304xx-driver) pas installé ?

vérifie par un
dpkg -l | grep nvidia
et relance aussi un
dpkg-reconfigure nvidia-legacy-304xx-driver

voilà la reconfiguration est faite. Je reboote ?

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #31 le: 04 septembre 2015 à 10:48:28 »
Pour arrêter de patauger, plutôt que de comparer avec mon install sur un debian8, j'ai fait l'essai de l'install sur un kali2, et lors de l'apt-get install nvidia-legacy-304xx-driver j'ai une erreur de compilation du module noyau (tu dois avoir la même,  va voir dans le fichier /var/lib/dkms/nvidia-legacy-304xx/304.125/build/make.log)

Par contre l'install de la version plus récente du driver (352) fonctionne
apt-get install nvidia-kernel-dkms
« Modifié: 04 septembre 2015 à 10:50:07 par trude »

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Problème installation Asus A6
« Réponse #32 le: 04 septembre 2015 à 11:07:28 »
Pour arrêter de patauger, plutôt que de comparer avec mon install sur un debian8, j'ai fait l'essai de l'install sur un kali2, et lors de l'apt-get install nvidia-legacy-304xx-driver j'ai une erreur de compilation du module noyau (tu dois avoir la même,  va voir dans le fichier /var/lib/dkms/nvidia-legacy-304xx/304.125/build/make.log)

Par contre l'install de la version plus récente du driver (352) fonctionne
apt-get install nvidia-kernel-dkms

Dans le fichier /var/lib/dkms/nvidia-legacy-304xx/304.125/build/make :

...
Leaving directory 'usr/src/linux-headers-4.0.0-kali-686-pae'
makefile:35: recipe for target 'modules' failed
[modules] Error 2





Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #33 le: 04 septembre 2015 à 11:10:16 »
Il faut pas enlever l'installation existante avant de faire

apt-get install nvidia-kernel-dkms ?

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #34 le: 04 septembre 2015 à 11:14:02 »
Bonne question ! Ca coute rien de faire avant un
apt-get remove --purge nvidia-legacy-304xx-driver

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Problème installation Asus A6
« Réponse #35 le: 04 septembre 2015 à 11:25:50 »
Bonne question ! Ca coute rien de faire avant un
apt-get remove --purge nvidia-legacy-304xx-driver

nvidia-legacy-304xx-driver désinstallé + DKMS installé

Je reboote ?

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #36 le: 04 septembre 2015 à 11:29:48 »
OUI, En croisant les doigts !

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Problème installation Asus A6
« Réponse #37 le: 04 septembre 2015 à 11:56:12 »
OUI, En croisant les doigts !

Après lancement je suis arrivé sur un écran noir avec un curseur clignotant en haut à gauche de l'écran. Le pointeur du touchpad ne répond pas. Je suis allé voir les erreurs détectées apparemment il ne trouve pas d'écran ?

[    45.800]
X.Org X Server 1.17.2
Release Date: 2015-06-16
[    45.802] X Protocol Version 11, Revision 0
[    45.802] Build Operating System: Linux 3.16.0-4-amd64 i686 Debian
[    45.802] Current Operating System: Linux kali 4.0.0-kali1-686-pae #1 SMP Debian 4.0.4-1+kali2 (2015-06-03) i686
[    45.802] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.0.0-kali1-686-pae root=UUID=46858456-090e-4614-a6dc-335f2c48119c ro initrd=/install/gtk/initrd.gz quiet
[    45.803] Build Date: 01 July 2015  05:17:45PM
[    45.803] xorg-server 2:1.17.2-1 (http://www.debian.org/support)
[    45.803] Current version of pixman: 0.32.6
[    45.803] Before reporting problems, check http://wiki.x.org
to make sure that you have the latest version.
[    45.803] Markers: (--) probed, (**) from config file, (==) default setting,
(++) from command line, (!!) notice, (II) informational,
(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    45.803] (==) Log file: "/var/log/Xorg.0.log", Time: Fri Sep  4 11:42:07 2015
[    45.807] (==) Using config file: "/etc/X11/xorg.conf"
[    45.807] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    45.809] (==) ServerLayout "Layout0"
[    45.809] (**) |-->Screen "Screen0" (0)
[    45.809] (**) |   |-->Monitor "Monitor0"
[    45.809] (**) |   |-->Device "Device0"
[    45.809] (**) |-->Input Device "Keyboard0"
[    45.809] (**) |-->Input Device "Mouse0"
[    45.809] (==) Automatically adding devices
[    45.809] (==) Automatically enabling devices
[    45.809] (==) Automatically adding GPU devices
[    45.809] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    45.809] Entry deleted from font path.
[    45.811] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    45.811] Entry deleted from font path.
[    45.811] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    45.811] Entry deleted from font path.
[    45.811] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    45.811] Entry deleted from font path.
[    45.811] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    45.811] Entry deleted from font path.
[    45.811] (==) FontPath set to:
/usr/share/fonts/X11/misc,
/usr/share/fonts/X11/Type1,
built-ins
[    45.811] (==) ModulePath set to "/usr/lib/xorg/modules"
[    45.811] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    45.811] (WW) Disabling Keyboard0
[    45.811] (WW) Disabling Mouse0
[    45.811] (II) Loader magic: 0xb77b4700
[    45.811] (II) Module ABI versions:
[    45.811] X.Org ANSI C Emulation: 0.4
[    45.811] X.Org Video Driver: 19.0
[    45.811] X.Org XInput driver : 21.0
[    45.811] X.Org Server Extension : 9.0
[    45.813] (--) PCI:*(0:1:0:0) 10de:01d7:1043:1212 rev 161, Mem @ 0xfd000000/16777216, 0xc0000000/268435456, 0xfc000000/16777216, BIOS @ 0x????????/131072
[    45.813] (II) LoadModule: "glx"
[    45.814] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[    45.892] (II) Module glx: vendor="NVIDIA Corporation"
[    45.892] compiled for 4.0.2, module version = 1.0.0
[    45.893] Module class: X.Org Server Extension
[    45.893] (II) NVIDIA GLX Module  352.21  Tue Jun  9 21:22:30 PDT 2015
[    45.894] (II) LoadModule: "nvidia"
[    45.895] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    45.896] (II) Module nvidia: vendor="NVIDIA Corporation"
[    45.896] compiled for 4.0.2, module version = 1.0.0
[    45.896] Module class: X.Org Video Driver
[    45.896] (II) NVIDIA dlloader X Driver  352.21  Tue Jun  9 20:56:59 PDT 2015
[    45.896] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    45.896] (++) using VT number 7

[    45.901] (II) Loading sub module "fb"
[    45.901] (II) LoadModule: "fb"
[    45.903] (II) Loading /usr/lib/xorg/modules/libfb.so
[    45.903] (II) Module fb: vendor="X.Org Foundation"
[    45.903] compiled for 1.17.2, module version = 1.0.0
[    45.903] ABI class: X.Org ANSI C Emulation, version 0.4
[    45.903] (II) Loading sub module "wfb"
[    45.903] (II) LoadModule: "wfb"
[    45.903] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    45.905] (II) Module wfb: vendor="X.Org Foundation"
[    45.905] compiled for 1.17.2, module version = 1.0.0
[    45.905] ABI class: X.Org ANSI C Emulation, version 0.4
[    45.905] (II) Loading sub module "ramdac"
[    45.905] (II) LoadModule: "ramdac"
[    45.905] (II) Module "ramdac" already built-in
[    45.905] (WW) NVIDIA(0): The NVIDIA GeForce Go 7300 GPU installed in this system is
[    45.905] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    45.905] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    45.905] (WW) NVIDIA(0):     information.  The 352.21 NVIDIA driver will ignore this
[    45.905] (WW) NVIDIA(0):     GPU.  Continuing probe...
[    45.905] (EE) No devices detected.
[    45.905] (EE)
Fatal server error:
[    45.905] (EE) no screens found(EE)
[    45.906] (EE)
Please consult the The X.Org Foundation support
at http://wiki.x.org
 for help.
[    45.906] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    45.906] (EE)


Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #38 le: 04 septembre 2015 à 11:57:22 »
Peut-être relancer le serveur ?

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #39 le: 04 septembre 2015 à 12:13:15 »
En recherchant sur le net part rapport à l'erreur voilà ce que j'ai pu trouver :

"Et en fait, je suis en utilisant le pilote 180,51. Puis je l'ai fait ce qui suit:

    # Pacman -Rd NVIDIA-utils

Alors:

    # Pacman -S nvidia-96xx-96xx nvidia-utils "

Alors peut-être en faisant :

# Pacman -Rd NVIDIA-utils

Alors:

    # Pacman -S nvidia-304xx-304xx nvidia-utils

https://translate.google.fr/translate?hl=fr&sl=en&u=https://bbs.archlinux.org/viewtopic.php%3Fid%3D74218&prev=search



Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #40 le: 04 septembre 2015 à 12:28:46 »
Je n'avais pas vu ce message :

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.

Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #41 le: 04 septembre 2015 à 12:38:10 »
D'après le message d'erreur c'est bien le driver legacy-304xx qu'il faut pour ta carte, ce driver plus récent ne la gère pas  :'(
Citer
[    45.905] (WW) NVIDIA(0): The NVIDIA GeForce Go 7300 GPU installed in this system is
[    45.905] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    45.905] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    45.905] (WW) NVIDIA(0):     information.  The 352.21 NVIDIA driver will ignore this
[    45.905] (WW) NVIDIA(0):     GPU.  Continuing probe...
[    45.905] (EE) No devices detected.

Ce bug avec le noyau 4.0.0 est connu chez debian, en attendant la mise à jour des dépots kali, y'a un patch disponible depuis juin (version 304.125-2) , je l'essaierais ce soir.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785442
a suivre
 
« Modifié: 04 septembre 2015 à 12:43:38 par trude »

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Re : Problème installation Asus A6
« Réponse #42 le: 04 septembre 2015 à 12:44:16 »
D'après le message d'erreur c'est bien le driver legacy-304xx qu'il faut pour ta carte, ce driver plus récent ne la gère pas  :'(
Citer
[    45.905] (WW) NVIDIA(0): The NVIDIA GeForce Go 7300 GPU installed in this system is
[    45.905] (WW) NVIDIA(0):     supported through the NVIDIA 304.xx Legacy drivers. Please
[    45.905] (WW) NVIDIA(0):     visit http://www.nvidia.com/object/unix.html for more
[    45.905] (WW) NVIDIA(0):     information.  The 352.21 NVIDIA driver will ignore this
[    45.905] (WW) NVIDIA(0):     GPU.  Continuing probe...
[    45.905] (EE) No devices detected.

Ce bug avec le noyau 4.0.0 est connu chez debian, en attendant la mise à jour des dépots kali, y'a un patch disponible, je l'essaierais ce soir.
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785442
a suivre

Ok Trude, je te remercie en attendant ce soir et te souhaite une bonne journée. Je laisse mon pc en état, je ne touche à rien en attendant.


Hors ligne trude

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 148
  • +13/-11
Re : Problème installation Asus A6
« Réponse #43 le: 04 septembre 2015 à 13:30:12 »
J'ai ma gamelle devant le clavier et j'ai essayé les patchs, ça compile, à essayer, sans certitude (sinon il va falloir guetter la mise à jour des dépots kali en attente de la mise à jour 304.125-2)

apt-get remove --purge nvidia-kernel-dkms
apt-get install nvidia-legacy-304xx-kernel-dkms


plantage à la compilation, comme d'hab  (sacrée galère ce bug nvidia304 + noyau 4.0, mauvais point pour kali, debian8 eux, ils sont resté sur le noyau 3.16, je regrette presque d'avoir commencé à t'aider, tu veux pas changer de carte graphique  ;) ) EDIT PS: ou passer sur debian8 et y installer les outils de kali que as envie d'utiliser ?


cd /var/lib/dkms/nvidia-legacy-304xx/304.125/source
download le fichier nvidia-3.19.patch (lien message #10 de la page bugs.debian.org ci-dessus)
download le fichier nvidia-4.0.patch  (idem)
patch <nvidia-3.19.patch
patch <nvidia-4.0.patch
make clean
cd /var/lib/dpkg/info
sh nvidia-legacy-304xx-kernel-dkms.postinst configure


ça devrait compiler
un petit reboot et tu m'annonces ce soir que ça marche ... ou pas ?

PS EDIT: toutes ces commandes sont à faire connecté en root
« Modifié: 04 septembre 2015 à 13:47:59 par trude »

Hors ligne monteur1234

  • Contributeur de Kali-linux.fr
  • Membre régulier
  • *****
  • Messages: 219
  • +10/-6
Re : Problème installation Asus A6
« Réponse #44 le: 04 septembre 2015 à 15:41:19 »
Je n'ai pas trouvé les sources sur le lien http://smxi.org/ mais ici :

https://gist.github.com/jfrazelle/19fd6f45e771089b9925#file-nvidia-fixes-for-kernel-4-0-0-patch
https://gist.github.com/jfrazelle/be3ac5c2b1af54d5b4fa

je les ais mis dans le dossier source de cd /var/lib/dkms/nvidia-legacy-304xx/304.125/source

puis exécuté les 2 patchs

Pour le  nvidia-fixes-for-kernel-3.19.patch, il s'est installé avec des erreurs.
Pour le  nvidia-fixes-for-kernel-4.0.0.patch, il s'est installé sans erreur.

Pour compiler, je me suis mis dans le dossier cd /var/lib/dpkg/info et exécuté  sh nvidia-legacy-304xx-kernel-dkms.postinst configure

Ç’a mouliné puis m'a indiqué des erreurs. Bref ç'a pas fonctionné. :-\